<?php

class p_bb_preview extends cmsPlugin {

/*/••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••/*/

    public function __construct(){

        parent::__construct();

        //Информация для инсталятора
        $this-> info['plugin']               = 'p_bb_preview';
        $this-> info['title']                = 'Toggle preview';
        $this-> info['description']          = 'Позволяет просматривать содержимое сообщения без ББ-кодов';
        $this-> info['author']               = '• Mike •';
        $this-> info['version']              = '1.10.4';
        $this-> info['type']                 = 'BBcode';

        //Конфигурация
        $this-> config['Режим']              = 'bb_button';
        $this-> config['Кнопка просмотра']   = 'preview.png';
        $this-> config['Кнопка закрытия']    = 'close.png';

        //Отклик на событие
        $this-> events[]                     = 'GET_BBCODE_BUTTON';
    }
/*/••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••/*/

    public function install(){

        return parent::install();
    }

/*/••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••/*/

    public function upgrade(){

        return parent::upgrade();
    }
/*/••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••••/*/

    public function execute( $event, $item ){

        parent::execute( $event, $item );

        if ( isset( $this-> config['Кнопка просмотра'] ) ) {
            $cfg_b_p = $this-> config['Кнопка просмотра'];
        } else {
            $cfg_b_p = 'preview.png';
        }

        if ( isset( $this-> config['Кнопка закрытия'] ) ) {
            $cfg_b_c = $this->config['Кнопка закрытия'];
        } else {
            $cfg_b_c = 'close.png';
        }

        if ( isset( $this-> config['Режим'] ) ) {
            $cfg = $this-> config['Режим'];
        } else {
            $cfg = 'f_button';
        }

        switch ( $cfg ) {

            case 'bb_button':
                $cf = 1;
                break;

            case 'f_button':
                $cf = 2;
                break;

            case 'big_button':
                $cf = 3;
                break;
        }

$html = <<<_OUT
<script type="text/javascript">
$( function(){

if ( $( "textarea" ).attr( "name" ) ) {

        txtar = $( "textarea" );
        var bb_prw_img = "$cfg_b_p";
        var bb_cls_img = "$cfg_b_c";
        var fstyle = "";
        var_e = 0;

        if ( $( "div" ).is( ".usr_msg_bbcodebox" ) ) {
            var bb_box = $( ".usr_msg_bbcodebox" );
            var btn_bb_start = '<a class="usr_bb_button" id="preview" href="javascript:void(0)" title="Просмотр"></a>'
            btn_bb_s_img = '<img src="/includes/bbcode/images/' + bb_prw_img + '" alt="Просмотр" id="btn_img" /> ';
        }

        if ( $( "a" ).is( "[href='#addwall']" ) ) {

            var wall = $( "a[href='#addwall']" );
            wall_s_sel_1 = 'input[type="submit"][value="Отправить"]';

            if ( $( "input" ).is( wall_s_sel_1 ) ) {
                wall_send = $( wall_s_sel_1 );
                fstyle = $( wall_send ).attr( "style" );
                var_e = 1;
            }
        }

        wall_s_sel_2 = 'input[type="submit"][name="goadd"]';

        if ( $( "input" ).is( wall_s_sel_2 ) ) {
            wall_send = $( wall_s_sel_2 );
            fstyle = wall_send.attr( "style" );
            var_e = 2;
        }

        wall_s_sel_3 = 'input[type="submit"][name="gosend"]';

        if ( $( "input" ).is( wall_s_sel_3 ) ) {
            wall_send = $( wall_s_sel_3 );
            fstyle = wall_send.attr( "style" );
            var_e = 3;
        }

        wall_s_sel_4 = 'input[type="button"][id="gosend"]';

        if ( $( "input" ).is( wall_s_sel_4 ) ) {
            wall_send = $( wall_s_sel_4 );
            fstyle = wall_send.attr( "style" );
            var_e = 4;
        }

        wall_s_sel_5 = '.cm_submit[type="submit"]';

        if ( $( "input" ).is( wall_s_sel_5 ) ) {
            wall_send = $( wall_s_sel_5 );
            fstyle = "font-size:" + wall_send.css( "font-size" );
            var_e = 5;
        }

        var btn_f_start = '<input type="button" value="Просмотр" name="toggle' + var_e + '" style="' + fstyle + '" />';
        var btn_f_s_sel = "input[name='toggle" + var_e + "']";
        var post_url = "/plugins/p_bb_preview/look.php";

if ( txtar ) {

    if ( $cf == 1 ) {

        $( bb_box ).append( btn_bb_start );
        $( "a#preview" ).append( btn_bb_s_img );

        if ( $( "a" ).is( "#preview" ) ) {

            $( "#preview" ).click( function( z ){

                z.preventDefault();
                var invariant = txtar.val();

                if ( !$( 'div' ).is( '#look' ) ) {

                    $.post( post_url, { "transit": "" + invariant } ).done( function( data ){

                        txtar.hide().after( '<div id="look" style="margin: 15px 0;"></div>' );
                        $( "#look" ).html( data );
                        $( "a#preview" ).attr( { "title": "Закрыть просмотр" } );
                        $( "#btn_img" ).attr( { "src": "/includes/bbcode/images/" + bb_cls_img, "alt": "Закрыть просмотр" } );
                    });

                } else {
                    $( "#look" ).remove();
                    txtar.show();
                    $( "a#preview" ).attr( { "title": "Просмотр" } );
                    $( "#btn_img" ).attr( { "src": "/includes/bbcode/images/" + bb_prw_img, "alt": "Просмотр" } );
                }
            });
        };
    };

    if ( $cf == 2 ) {

        if ( wall_send ) {

            wall_send.before( btn_f_start );

            if ( $( btn_f_s_sel ) ) {

                $( btn_f_s_sel ).click( function( z ){

                    z.preventDefault();
                    var invariant = txtar.val();
                    var transit = txtar.attr( "name" );

                    if ( !$( 'div' ).is( '#look' ) ) {

                        $.post( post_url, { transit : invariant }, function( data ){
                            txtar.hide().after( '<div id="look" style="margin: 15px 0;">' + data + '</div>' );
                            $( btn_f_s_sel ).val( "Закрыть просмотр" );
                        });

                    } else {

                        $( "#look" ).remove();
                        txtar.show();
                        $( btn_f_s_sel ).val( "Просмотр" );
                    }

                });
            }
        }
    }

    if ( $cf == 3 ) {

    txtar.after( '<div id="sl_prw" title="Предварительный просмотр" style="width:100%; height:36px; border: 1px solid #00BFFF; background: #F0FFFF; font-size: 21px; text-align: center; cursor: pointer;">Предварительный просмотр</div>' );

        $( "#sl_prw" ).click( function(){

            var invariant = txtar.val();
            var transit = txtar.attr( "name" );

            if ( !$( 'div' ).is( '#look' ) ) {

                $.post( post_url, { transit : invariant }, function( data ) {
                    txtar.hide()
                        .after( '<div id="look" style="margin: 15px 0;">' + data + '</div>' )
                        .next()
                        .next()
                        .attr({ "title":"Закрыть предварительный просмотр" })
                        .text( "Закрыть предварительный просмотр" ).css({ "background":"#FFFAFA" });
                });

            } else {
                txtar.show().next().remove();
                $( "#sl_prw").attr({ "title": "Предварительный просмотр" })
                            .text( "Предварительный просмотр" )
                            .css({ "background":"#F0FFFF" });
            }
        });
    };
}

}
});
</script>
_OUT;

    $item['html'] .= $html;

    return $item;
}

}
?>